## MediaPipe Models

Here are descriptions of the models used in the [example applications](../docs/examples.md).

### Object Detection
For details on the models, see [here](object_detection_saved_model/README.md).

   * [Object Detection on Desktop](../docs/object_detection_desktop.md)
   * [Object Detection on GPU on Android](../docs/object_detection_android_gpu.md)
   * [Object Detection on CPU on Android](../docs/object_detection_android_cpu.md)

### BlazeFace face detection model
  *  [TFLite model](https://github.com/google/mediapipe/tree/master/mediapipe/models/face_detection_front.tflite)
  *  Paper: ["BlazeFace: Sub-millisecond Neural Face Detection on Mobile GPUs"](https://sites.google.com/corp/view/perception-cv4arvr/blazeface)
  *  Model card: [BlazeFace model card](https://sites.google.com/corp/view/perception-cv4arvr/blazeface#h.p_21ojPZDx3cqq)

### Hair segmentation model
  *  [TFLite model](https://github.com/google/mediapipe/tree/master/mediapipe/models/hair_segmentation.tflite)
  *  Paper: ["Real-time Hair segmentation and recoloring on Mobile GPUs"](https://sites.google.com/corp/view/perception-cv4arvr/hair-segmentation)
  *  Model card: [Hair segmentation model card](https://sites.google.com/corp/view/perception-cv4arvr/hair-segmentation#h.p_NimuO7PgHxlY)

